DRM_GTF_MODE_COMPLEX(9)

NAME
drm_gtf_mode_complex - create the modeline based on the full GTF algorithm

SYNOPSIS

struct drm_display_mode * drm_gtf_mode_complex(struct drm_device * dev, int hdisplay, int vdisplay, int vrefresh, bool interlaced, int margins, int GTF_M, int GTF_2C, int GTF_K, int GTF_2J);

ARGUMENTS

dev
    drm device

hdisplay
    hdisplay size

vdisplay
    vdisplay size

vrefresh
    vrefresh rate.

interlaced
    whether to compute an interlaced mode

margins
    desired margin (borders) size

GTF_M
    extended GTF formula parameters

GTF_2C
    extended GTF formula parameters

GTF_K
    extended GTF formula parameters

GTF_2J
    extended GTF formula parameters

DESCRIPTION

GTF feature blocks specify C and J in multiples of 0.5, so we pass them in here multiplied by two. For a C of 40, pass in 80.

RETURNS

The modeline based on the full GTF algorithm stored in a drm_display_mode object. The display mode object is allocated with drm_mode_create. Returns NULL when no mode could be allocated.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT